Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.data
Interface DataText

All Known Implementing Classes:
  DeepFS

    public interface DataText

This class assembles texts which are used in the data classes.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`static byte[]` | `ATT` Attribute output.
`static byte[]` | `ATT1` Attribute output.
`static byte[]` | `ATT2` Attribute output.
`static byte[]` | `BACKINGSTORE` Backing store attribute.
`static byte[]` | `COM1` Comment output.
`static byte[]` | `COM2` Comment output.
`static byte[]` | `COMM` Comment.
`static byte[]` | `CONTENT` Content tag.
`static byte[]` | `COUNT` Count attribute.
`static java.lang.String` | `DATAATV` Database - Attribute value index.
`static java.lang.String` | `DATAFTX` Database - Full-text index.
`static java.lang.String` | `DATAINFO` Database - Info.
`static java.lang.String` | `DATATBL` Database - Tokens.
`static java.lang.String` | `DATATMP` Database - Temporary Size References.
`static java.lang.String` | `DATATXT` Database - Text index.
`static java.lang.String` | `DBATTS` Attributes.
`static java.lang.String` | `DBATVIDX` Attribute indexing.
`static java.lang.String` | `DBBCK` FS Backing store.
`static java.lang.String` | `DBCHOP` Whitespace chopping.
`static java.lang.String` | `DBENC` Encoding.
`static java.lang.String` | `DBENTITY` Entity parsing.
`static java.lang.String` | `DBFNAME` File name.
`static java.lang.String` | `DBFSIZE` File size.
`static java.lang.String` | `DBFTCS` Full-text case sensitivity.
`static java.lang.String` | `DBFTDC` Full-text diacritics removal.
`static java.lang.String` | `DBFTST` Full-text stemming.
`static java.lang.String` | `DBFTXIDX` Full-text indexing.
`static java.lang.String` | `DBFZIDX` Full-text fuzzy indexing.
`static java.lang.String` | `DBHGHT` Tree height.
`static java.lang.String` | `DBLID` Last (highest) id.
`static java.lang.String` | `DBMNT` FS Mount point.
`static java.lang.String` | `DBNDOCS` Number of XML documents.
`static java.lang.String` | `DBNS` Tags.
`static java.lang.String` | `DBPATH` Path Summary.
`static java.lang.String` | `DBPTHIDX` Path indexing.
`static java.lang.String` | `DBSIZE` Number of XML nodes.
`static java.lang.String` | `DBSTR` Database version.
`static java.lang.String` | `DBTAGS` Tags.
`static java.lang.String` | `DBTIME` Last modification time.
`static java.lang.String` | `DBTXTIDX` Text indexing.
`static java.lang.String` | `DBUTD` Up-to-date flag.
`static byte[]` | `DEEPFS` DeepFS token.
`static byte[]` | `DIR` Directory tag.
`static byte[]` | `DOC` Document.
`static byte[]` | `E_AMP` Ampersand Entity.
`static byte[]` | `E_CR` CarriageReturn Entity.
`static byte[]` | `E_GT` GreaterThan Entity.
`static byte[]` | `E_LT` LessThan Entity.
`static byte[]` | `E_NL` NewLine Entity.
`static byte[]` | `E_QU` Quote Entity.
`static byte[]` | `E_TAB` Tab Entity.
`static byte[]` | `ELEM1` Element output.
`static byte[]` | `ELEM2` Element output.
`static byte[]` | `ELEM3` Element output.
`static byte[]` | `ELEM4` Element output.
`static byte[]` | `FILE` File tag.
`static java.lang.String` | `IDBSTR` Database version.
`static java.lang.String` | `ISTORAGE` Index version; if it's modified, old indexes can't be parsed anymore.
`static byte[]` | `KIND` Kind attribute.
`static byte[]` | `MODE` File mode attribute.
`static byte[]` | `MOUNTPOINT` Mount point attribute.
`static byte[]` | `MTIME` Time of last modification.
`static byte[]` | `NAME` Name attribute.
`static byte[]` | `NOBACKING` Negative backing store attribute.
`static byte[]` | `NODE` Node tag.
`static byte[]` | `NOTMOUNTED` Negative mount point attribute.
`static byte[]` | `OFFSET` Offset attribute.
`static byte[]` | `PATH` Path tag.
`static byte[]` | `PI` Processing instruction.
`static byte[]` | `PI1` PI output.
`static byte[]` | `PI2` PI output.
`static byte[]` | `RESULT` Result tag.
`static byte[]` | `RESULTS` Results tag.
`static java.lang.String` | `S_MTIME` Time of last modification.
`static java.lang.String` | `S_NAME` Time of last modification.
`static java.lang.String` | `S_SIZE` Time of last modification.
`static java.lang.String` | `S_SUFFIX` Time of last modification.
`static byte[]` | `SIZE` Size attribute.
`static java.lang.String` | `STORAGE` Database version; if it's modified, old database instances can't be parsed anymore.
`static byte[]` | `SUFFIX` Suffix attribute.
`static java.lang.String` | `TABLEATS` Fourth table Header.
`static java.lang.String` | `TABLEDIST` Second table Header.
`static java.lang.String` | `TABLEKIND` Fifth table Header.
`static java.lang.String[]` | `TABLEKINDS` Table Kinds.
`static java.lang.String` | `TABLENS` Namespace header.
`static java.lang.String` | `TABLEPRE` First table Header.
`static java.lang.String` | `TABLEPREF` Prefix header.
`static java.lang.String` | `TABLESIZE` Third table Header.
`static java.lang.String` | `TABLEURI` URI header.
`static byte[]` | `TEXT` Text.
`static byte[]` | `TEXT_CONTENT` Text content tag.
`static byte[]` | `UNKNOWN` Unknown tag (place holder).
`static byte[]` | `XML_CONTENT` XML content tag.

Field Detail

### STORAGE

    static final java.lang.String STORAGE

  Database version; if it's modified, old database instances can't be parsed anymore.

  See Also:
    Constant Field Values

### ISTORAGE

    static final java.lang.String ISTORAGE

  Index version; if it's modified, old indexes can't be parsed anymore.

  See Also:
    Constant Field Values

### DBSTR

    static final java.lang.String DBSTR

  Database version.

  See Also:
    Constant Field Values

### IDBSTR

    static final java.lang.String IDBSTR

  Database version.

  See Also:
    Constant Field Values

### DBTIME

    static final java.lang.String DBTIME

  Last modification time.

  See Also:
    Constant Field Values

### DBHGHT

    static final java.lang.String DBHGHT

  Tree height.

  See Also:
    Constant Field Values

### DBSIZE

    static final java.lang.String DBSIZE

  Number of XML nodes.

  See Also:
    Constant Field Values

### DBFNAME

    static final java.lang.String DBFNAME

  File name.

  See Also:
    Constant Field Values

### DBFSIZE

    static final java.lang.String DBFSIZE

  File size.

  See Also:
    Constant Field Values

### DBNDOCS

    static final java.lang.String DBNDOCS

  Number of XML documents.

  See Also:
    Constant Field Values

### DBENC

    static final java.lang.String DBENC

  Encoding.

  See Also:
    Constant Field Values

### DBCHOP

    static final java.lang.String DBCHOP

  Whitespace chopping.

  See Also:
    Constant Field Values

### DBENTITY

    static final java.lang.String DBENTITY

  Entity parsing.

  See Also:
    Constant Field Values

### DBPTHIDX

    static final java.lang.String DBPTHIDX

  Path indexing.

  See Also:
    Constant Field Values

### DBTXTIDX

    static final java.lang.String DBTXTIDX

  Text indexing.

  See Also:
    Constant Field Values

### DBATVIDX

    static final java.lang.String DBATVIDX

  Attribute indexing.

  See Also:
    Constant Field Values

### DBFTXIDX

    static final java.lang.String DBFTXIDX

  Full-text indexing.

  See Also:
    Constant Field Values

### DBFZIDX

    static final java.lang.String DBFZIDX

  Full-text fuzzy indexing.

  See Also:
    Constant Field Values

### DBFTST

    static final java.lang.String DBFTST

  Full-text stemming.

  See Also:
    Constant Field Values

### DBFTCS

    static final java.lang.String DBFTCS

  Full-text case sensitivity.

  See Also:
    Constant Field Values

### DBFTDC

    static final java.lang.String DBFTDC

  Full-text diacritics removal.

  See Also:
    Constant Field Values

### DBUTD

    static final java.lang.String DBUTD

  Up-to-date flag.

  See Also:
    Constant Field Values

### DBLID

    static final java.lang.String DBLID

  Last (highest) id.

  See Also:
    Constant Field Values

### DBMNT

    static final java.lang.String DBMNT

  FS Mount point.

  See Also:
    Constant Field Values

### DBBCK

    static final java.lang.String DBBCK

  FS Backing store.

  See Also:
    Constant Field Values

### DBTAGS

    static final java.lang.String DBTAGS

  Tags.

  See Also:
    Constant Field Values

### DBATTS

    static final java.lang.String DBATTS

  Attributes.

  See Also:
    Constant Field Values

### DBPATH

    static final java.lang.String DBPATH

  Path Summary.

  See Also:
    Constant Field Values

### DBNS

    static final java.lang.String DBNS

  Tags.

  See Also:
    Constant Field Values

### S_NAME

    static final java.lang.String S_NAME

  Time of last modification.

  See Also:
    Constant Field Values

### S_SIZE

    static final java.lang.String S_SIZE

  Time of last modification.

  See Also:
    Constant Field Values

### S_MTIME

    static final java.lang.String S_MTIME

  Time of last modification.

  See Also:
    Constant Field Values

### S_SUFFIX

    static final java.lang.String S_SUFFIX

  Time of last modification.

  See Also:
    Constant Field Values

### DEEPFS

    static final byte[] DEEPFS

  DeepFS token.

### DIR

    static final byte[] DIR

  Directory tag.

### FILE

    static final byte[] FILE

  File tag.

### CONTENT

    static final byte[] CONTENT

  Content tag.

### TEXT_CONTENT

    static final byte[] TEXT_CONTENT

  Text content tag.

### XML_CONTENT

    static final byte[] XML_CONTENT

  XML content tag.

### UNKNOWN

    static final byte[] UNKNOWN

  Unknown tag (place holder).

### NAME

    static final byte[] NAME

  Name attribute.

### SIZE

    static final byte[] SIZE

  Size attribute.

### MTIME

    static final byte[] MTIME

  Time of last modification.

### SUFFIX

    static final byte[] SUFFIX

  Suffix attribute.

### OFFSET

    static final byte[] OFFSET

  Offset attribute.

### MODE

    static final byte[] MODE

  File mode attribute.

### MOUNTPOINT

    static final byte[] MOUNTPOINT

  Mount point attribute.

### BACKINGSTORE

    static final byte[] BACKINGSTORE

  Backing store attribute.

### NOTMOUNTED

    static final byte[] NOTMOUNTED

  Negative mount point attribute.

### NOBACKING

    static final byte[] NOBACKING

  Negative backing store attribute.

### E_AMP

    static final byte[] E_AMP

  Ampersand Entity.

### E_QU

    static final byte[] E_QU

  Quote Entity.

### E_GT

    static final byte[] E_GT

  GreaterThan Entity.

### E_LT

    static final byte[] E_LT

  LessThan Entity.

### E_TAB

    static final byte[] E_TAB

  Tab Entity.

### E_NL

    static final byte[] E_NL

  NewLine Entity.

### E_CR

    static final byte[] E_CR

  CarriageReturn Entity.

### RESULTS

    static final byte[] RESULTS

  Results tag.

### RESULT

    static final byte[] RESULT

  Result tag.

### PATH

    static final byte[] PATH

  Path tag.

### NODE

    static final byte[] NODE

  Node tag.

### KIND

    static final byte[] KIND

  Kind attribute.

### COUNT

    static final byte[] COUNT

  Count attribute.

### COM1

    static final byte[] COM1

  Comment output.

### COM2

    static final byte[] COM2

  Comment output.

### PI1

    static final byte[] PI1

  PI output.

### PI2

    static final byte[] PI2

  PI output.

### ELEM1

    static final byte[] ELEM1

  Element output.

### ELEM2

    static final byte[] ELEM2

  Element output.

### ELEM3

    static final byte[] ELEM3

  Element output.

### ELEM4

    static final byte[] ELEM4

  Element output.

### ATT1

    static final byte[] ATT1

  Attribute output.

### ATT2

    static final byte[] ATT2

  Attribute output.

### DOC

    static final byte[] DOC

  Document.

### TEXT

    static final byte[] TEXT

  Text.

### COMM

    static final byte[] COMM

  Comment.

### PI

    static final byte[] PI

  Processing instruction.

### ATT

    static final byte[] ATT

  Attribute output.

### TABLEPRE

    static final java.lang.String TABLEPRE

  First table Header.

  See Also:
    Constant Field Values

### TABLEDIST

    static final java.lang.String TABLEDIST

  Second table Header.

  See Also:
    Constant Field Values

### TABLESIZE

    static final java.lang.String TABLESIZE

  Third table Header.

  See Also:
    Constant Field Values

### TABLEATS

    static final java.lang.String TABLEATS

  Fourth table Header.

  See Also:
    Constant Field Values

### TABLENS

    static final java.lang.String TABLENS

  Namespace header.

  See Also:
    Constant Field Values

### TABLEPREF

    static final java.lang.String TABLEPREF

  Prefix header.

  See Also:
    Constant Field Values

### TABLEURI

    static final java.lang.String TABLEURI

  URI header.

  See Also:
    Constant Field Values

### TABLEKIND

    static final java.lang.String TABLEKIND

  Fifth table Header.

### TABLEKINDS

    static final java.lang.String[] TABLEKINDS

  Table Kinds.

### DATAINFO

    static final java.lang.String DATAINFO

  Database - Info.

  See Also:
    Constant Field Values

### DATATBL

    static final java.lang.String DATATBL

  Database - Tokens.

  See Also:
    Constant Field Values

### DATATMP

    static final java.lang.String DATATMP

  Database - Temporary Size References.

  See Also:
    Constant Field Values

### DATATXT

    static final java.lang.String DATATXT

  Database - Text index.

  See Also:
    Constant Field Values

### DATAATV

    static final java.lang.String DATAATV

  Database - Attribute value index.

  See Also:
    Constant Field Values

### DATAFTX

    static final java.lang.String DATAFTX

  Database - Full-text index.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD